It is currently Fri Nov 21, 2014 4:03


Glest 3.1.2

Installers we are searching testers for.
  • Author
  • Message
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

Glest 3.1.2

PostSun Feb 17, 2008 22:31

Please test our new Glest installer.
Please don't forget to give some feedback .

http://liflg.j0ke.net/files/beta/glest_ ... nguage.run
http://liflg.j0ke.net/files/beta/glest_ ... ge.run.md5
Last edited by kratz00 on Thu Apr 10, 2008 0:08, edited 2 times in total.
Offline

titi

  • Posts: 32
  • Joined: Sun Sep 02, 2007 21:20

PostTue Feb 19, 2008 20:20

HI I tested it, the game/installer runs fine for me ( ubuntu 6.06 dapper 32bit )
Multiplayer vs other installation also tested(same official binary)


The only problem is the editor which crashes:

Code: Select all
tscharn@p60-3000:~/glest3.1$ ./glest_editor.i386
Segmentation fault
tscharn@p60-3000:~/glest3.1$ ./glest_editor
./glest_editor: line 138: 17002 Segmentation fault      ./${GAME_BINARY} ${CMD_ARGS} "${@}"
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostSat Feb 23, 2008 20:01

Whats you wx-widgets version?
Offline

titi

  • Posts: 32
  • Joined: Sun Sep 02, 2007 21:20

PostSat Mar 01, 2008 1:02

Code: Select all
tscharn@p60-3000:~/glest_3.1.0$ wx-config --version
2.6.1

does 3.1.1 use the right binary now?
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostMon Mar 03, 2008 13:00

Our editor binary is build against version 2.6.3, maybe this is the problem?

We will release an update installer today, which will contain the 'official' binary.

For the next release, would it be possible to use our binary?
We can provide a reproducible state of the binary, very quick with the help of our buildsystem (https://build.opensuse.org/).
Offline

titi

  • Posts: 32
  • Joined: Sun Sep 02, 2007 21:20

PostTue Mar 04, 2008 11:14

We will think about it.
Currently it's a good idea that I build the binaries, because I have the oldest distribution(ubuntu 6.06). By this you hopefully get no trouble with glibc versions and old libs using my binary.( But I can only build 32bit at the moment. )
Do you also have the possibility to compile with older libs?
Offline

titi

  • Posts: 32
  • Joined: Sun Sep 02, 2007 21:20

3.1.2 Oops I did it again ..

PostWed Mar 05, 2008 18:11

Sorry I did it again because the glest linux community wants to play as soon as possible!
Here is my 32 bit linux binary( which will shure be the official one ) ( UPDATE: its the official one )
http://www.titusgames.de/glest_3.1.2_linux.tar.gz.
If you want (and you are fast ) you can build the official 64 bit one.
The game now includes a binary check!
This will sadly be the last update for a while because martino the main developer says he has no time for glest in the following months.


Code: Select all
What's new:
- Fixed slow building placement in ATI cards with catalyst 7.10 or newer
- Fixed fog of war smoothing
- Improved position picking when giving orders
- Fixed some glitches in shadows
- Added red colored building cursor when trying to build in an invalid
location
- Fix for empty chat messages
- Reduced Drake Rider morphing time from 120 to 80 and reduced splash
radius attack of a few units
- Improved battlemachine death animation
- The game now checks that all players are using the same binaries
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostThu Apr 10, 2008 0:09

Thanks titi, the updated installer contains the official binaries for x86.

halogentan

PostMon May 26, 2008 6:25

I have it running on Ubuntu Hardy. The installer runs well. It's better than installing the 3.0 version from the ubuntu repositories. That one starts up in windowed mode.

Although, I am getting choppy sound in both builds. It sounds o.k. but it will crackle a little now and then.

Since it happens for me in both the loki installer and the one from the ubuntu repository I believe it may be some sort of setting on my end or issue with Glest and not a problem with the installer.
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostMon May 26, 2008 19:57

This is definitely no fault of the installer, either it's the game itself or your system setup. Maybe you find help in the Glest forum: http://www.glest.org/glest_board/

halogentan

PostMon May 26, 2008 21:34

I did find a solution on the glest board that worked. You can check it out here:
http://www.glest.org/glest_board/viewtopic.php?t=3192

Basically what I had to do was change my /etc/openalrc so that it uses dsp instead of alsa. The new openalrc should look like this:

(define devices '(dsp))
(define alsa-device "default")
(define speaker-num 2)
(define sampling-rate 44100)
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostMon May 26, 2008 21:57

Thanks for this information and enjoy playing Glest without choppy sound :)

vongoldi

PostMon Jul 21, 2008 16:05

Hello i have ubuntu 8.04 .
i can install the game when i make chmod 750 on the installer.
can i uninstall the game with the installer too.
Offline

kratz00

liflg member

  • Posts: 1629
  • Joined: Fri Oct 22, 2004 16:23

PostMon Jul 21, 2008 21:49

Hi vongoldi, yes you can.
There is a script called 'uninstall' in the installation directory.
Run it.

vongoldi

PostSat Jul 26, 2008 22:59

Hello kratzoo
thx for the info it works fine, but the game is so good i didn t uninstall
it so fast.

wishes
Next

Return to Beta

Who is online

Users browsing this forum: No registered users and 0 guests

cron